MS15-128: Security Update for Microsoft Graphics Component to Address Remote Code Execution (3104503)

High Nessus Plugin ID 87257

Synopsis

The remote host is affected by multiple remote code execution vulnerabilities.

Description

The remote Windows host is affected by multiple remote code execution vulnerabilities due to improper handling of embedded fonts by the Windows font library. A remote attacker can exploit these by convincing a user to open a file or visit a website containing a specially crafted embedded font, resulting in execution of arbitrary code in the context of the current user.

Solution

Microsoft has released a set of patches for Windows Vista, 2008, 7, 2008 R2, 8, RT, 2012, 8.1, RT 8.1, 2012 R2, and 10. Additionally, Microsoft has released a set of patches for Office 2007, Office 2010, Word Viewer, Lync 2010, Lync 2010 Attendee, Lync 2013, Lync Basic 2013, Skype for Business 2016, Live Meeting 2007 Console, Silverlight;
and .NET framework 3.0 SP2, 3.5, 3.5.1, 4, 4.5.1, 4.5.2, and 4.6.

See Also

https://docs.microsoft.com/en-us/security-updates/SecurityBulletins/2015/ms15-128

Plugin Details

Severity: High

ID: 87257

File Name: smb_nt_ms15-128.nasl

Version: 1.12

Type: local

Agent: windows

Published: 2015/12/08

Updated: 2018/11/15

Dependencies: 27524, 42399, 68879, 57033, 13855

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 9.3

Temporal Score: 6.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/o:microsoft:windows, cpe:/a:microsoft:office:2007, cpe:/a:microsoft:office:2010, cpe:/a:microsoft:word_viewer, cpe:/a:microsoft:live_meeting:2007, cpe:/a:microsoft:lync:2010, cpe:/a:microsoft:lync:2010:attendee, cpe:/a:microsoft:lync:2013, cpe:/a:microsoft:lync_basic:2013, cpe:/a:microsoft:skype_for_business:2016, cpe:/a:microsoft:silverlight, cpe:/a:microsoft:.net_framework

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2015/12/08

Vulnerability Publication Date: 2015/12/08

Reference Information

CVE: CVE-2015-6106, CVE-2015-6107, CVE-2015-6108

BID: 78497, 78498, 78499